Skip to main content
PUT
/
warehouse-groups
/
{id}
Update warehouse group
curl --request PUT \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/warehouse-groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "warehouse_ids": [
    123
  ],
  "default_warehouse_id": 123
}
'
{
  "data": {
    "id": 123,
    "uuid": "<string>",
    "name": "<string>",
    "description": "<string>",
    "warehouses": [
      {
        "id": 123,
        "status": "<string>",
        "name": "<string>",
        "address": "<string>",
        "street_address_1": "<string>",
        "street_address_2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zip": "<string>",
        "country": "<string>",
        "is_pick_location": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "default_warehouse": {
      "id": 123,
      "status": "<string>",
      "name": "<string>",
      "address": "<string>",
      "street_address_1": "<string>",
      "street_address_2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "country": "<string>",
      "is_pick_location": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

id
integer
required

Warehouse group ID

Body

application/json
name
string

Warehouse group name

Maximum string length: 255
description
string | null

Warehouse group description

warehouse_ids
integer[] | null

IDs of warehouses to assign to this group (replaces existing assignments)

default_warehouse_id
integer | null

ID of the default warehouse for this group

Response

Warehouse group updated

data
object